Login | Packages | Support | Bugs 

Top Level :: Networking :: amqp

amqp 1.8.0beta1

Package Information
Summary Communicate with any AMQP compliant server
Maintainers Lars Strojny <lstrojny@php.net> (lead) [wishlist] [details]
Pieter de Zwart (lead) [details]
Bogdan Padalko (developer) [details]
License PHP License
Description This extension can communicate with any AMQP spec 0-9-1 compatible server, such as RabbitMQ, OpenAMQP and Qpid, giving you the ability to create and delete exchanges and queues, as well as publish to any exchange and consume from any queue.
Release notes
Version 1.8.0beta1
(beta)
* Add SSL connection support (Bogdan Padalko)
* Support for server method handling: confirms (publisher acknowledgments) and basic.return (Bogdan Padalko)
* Add support for pkg-config (Remi Collet)
* Preserve AMQP server error code for exceptions (Bogdan Padalko)
* Add AMQPChannel::close() (Bogdan Padalko)
* Fix segfault when deleting an unknown exchange (Bogdan Padalko)
* Fix segfault with PHPUnit and xdebug for PHP 7 (Bogdan Padalko)
* Add publisher confirms (Bogdan Padalko)

For a complete list of changes see:
https://github.com/pdezwart/php-amqp/compare/v1.7.1...v1.8.0beta1

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source[ Package Bugs ]

Dependencies for release 1.8.0beta1
PRIVACY POLICY | CREDITS
Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Thu Mar 26 06:22:20 2015 UTC
Bandwidth and hardware provided by: pair Networks